Skip to content
storefronts / Downloads
GET/__runtime/downloads/manifest

List Manifest

resolves the product's download files and the caller's

GET

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Permissions

Headers

Path Parameters

Query Parameters

NameRequiredTypeDetails
product_idYesinteger
Description: Target product identifier.
variant_idNointeger
Description: Identifier for variant.
order_tokenNostring
Description: Text value.

Request Body

Response Body

Example 200 response

json
{
  "owned": "string",
  "reason": "string",
  "files": [],
  "id": 1,
  "title": "Example",
  "size": "string",
  "max_downloads": [],
  "expires_in_days": [],
  "url": "string",
  "variant_scoped": true,
  "file_key": "string",
  "subject": "string",
  "hex": "string",
  "value": {},
  "config": {},
  "variant_id": 1,
  "requested_variant": 1,
  "entries": [],
  "has_identity": true,
  "has_paid_order_item": "string",
  "has_active_subscription": "string",
  "headers": [],
  "store": "string",
  "v": "string",
  "pid": "string",
  "sid": "string",
  "p": "string",
  "vid": "string",
  "u": "string",
  "exp": "string",
  "token": "string"
}

Errors

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified